﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace henchman
{
    public partial class MessageForm : Form
    {

        protected override bool ShowWithoutActivation
        {
            get { return true; }
        }

        public void ReCenter(int x, int y) {
            this.Left = x - (this.Width / 2);
            this.Top = y - (this.Height / 2);

        }
        public MessageForm( string MessageText)
        {
            InitializeComponent();

            label1.Text = MessageText;

            this.Width = label1.Width + 50;
            this.Height = label1.Height + 50;

            label1.Top = 25;
            label1.Left = 25;

            this.Opacity = 100;

            this.BringToFront();
            this.CenterToScreen();
            this.Activate();

            tmrHide.Enabled = true;
        }

        private void tmrHide_Tick(object sender, EventArgs e)
        {
            double n = this.Opacity;
            //Console.WriteLine(n);
            n = n - 0.01;

            if (n <= 0)
            {
                //Console.WriteLine("close");
                this.Close();
                this.Dispose();
                return;
            }
            else
            {
                this.Opacity = n;
            }

            tmrHide.Enabled = true;
        }
    }
}
